diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lr-wpan/model/lr-wpan-phy.h ns-3.41/src/lr-wpan/model/lr-wpan-phy.h
--- ns-3.40/src/lr-wpan/model/lr-wpan-phy.h	2023-09-27 13:30:37.674839300 -0700
+++ ns-3.41/src/lr-wpan/model/lr-wpan-phy.h	2024-02-09 14:44:07.957790400 -0800
@@ -28,6 +28,8 @@
 #include <ns3/traced-callback.h>
 #include <ns3/traced-value.h>
 
+#include <iostream>
+
 namespace ns3
 {
 
@@ -122,6 +124,24 @@
     IEEE_802_15_4_PHY_UNSPECIFIED = 0xc // all cases not covered by ieee802.15.4
 };
 
+/**
+ *  Overloaded operator to print the value of a LrWpanPhyEnumeration.
+ *
+ *  \param os The output stream
+ *  \param state The text value of the PHY state
+ *  \return The output stream with text value of the PHY state
+ */
+std::ostream& operator<<(std::ostream& os, const LrWpanPhyEnumeration& state);
+
+/**
+ *  Overloaded operator to print the value of a TracedValue<LrWpanPhyEnumeration>.
+ *
+ *  \param os The output stream
+ *  \param state The text value of the PHY state
+ *  \return The output stream with text value of the PHY state
+ */
+std::ostream& operator<<(std::ostream& os, const TracedValue<LrWpanPhyEnumeration>& state);
+
 namespace TracedValueCallback
 {
 /**
@@ -704,7 +724,10 @@
 
     /**
      * The trace source fired when a packet ends the reception process from
-     * the medium.  Second quantity is received SINR.
+     * the medium. In essence, the notional event of receiving all the energy
+     * of a signal is traced. The received completed signal might represent
+     * a complete packet or a packet that is later on dropped because of interference,
+     * cancellation or post-rx corruption. Second quantity is the received SINR (LQI).
      *
      * \see class CallBackTraceSource
      */
@@ -712,6 +735,8 @@
 
     /**
      * The trace source fired when the phy layer drops a packet it has received.
+     * (Destruction of a packet due to interference, post-rx corruption or
+     *  cancellation of packet rx)
      *
      * \see class CallBackTraceSource
      */
@@ -894,18 +919,18 @@
     Time m_rxLastUpdate;
 
     /**
-     * Statusinformation of the currently received packet. The first parameter
-     * contains the frame, as well the signal power of the frame. The second
-     * parameter is set to false, if the frame is either invalid or destroyed
-     * due to interference.
+     * Status information of the currently received packet. The first parameter
+     * contains the frame, as well the signal power of the frame. If the second
+     * parameter is set to true, the frame is either invalid, destroyed
+     * due to interference or cancelled.
      */
     std::pair<Ptr<LrWpanSpectrumSignalParameters>, bool> m_currentRxPacket;
 
     /**
-     * Statusinformation of the currently transmitted packet. The first parameter
-     * contains the frame. The second parameter is set to false, if the frame not
-     * completely transmitted, in the event of a force transceiver switch, for
-     * example.
+     * Status information of the currently transmitted packet. The first parameter
+     * contains the frame. If the second parameter is set to true, the frame has not
+     * been completely transmitted (in the event of a force transceiver switch, for
+     * example).
      */
     PacketAndStatus m_currentTxPacket;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lr-wpan/test/lr-wpan-mac-test.cc ns-3.41/src/lr-wpan/test/lr-wpan-mac-test.cc
--- ns-3.40/src/lr-wpan/test/lr-wpan-mac-test.cc	2023-09-27 13:30:37.674839300 -0700
+++ ns-3.41/src/lr-wpan/test/lr-wpan-mac-test.cc	2024-02-09 14:44:07.957790400 -0800
@@ -103,11 +103,11 @@
 void
 TestRxOffWhenIdleAfterCsmaFailure::DataConfirm(McpsDataConfirmParams params)
 {
-    if (params.m_status == LrWpanMcpsDataConfirmStatus::IEEE_802_15_4_SUCCESS)
+    if (params.m_status == LrWpanMacStatus::SUCCESS)
     {
         NS_LOG_DEBUG("LrWpanMcpsDataConfirmStatus = Success");
     }
-    else if (params.m_status == LrWpanMcpsDataConfirmStatus::IEEE_802_15_4_CHANNEL_ACCESS_FAILURE)
+    else if (params.m_status == LrWpanMacStatus::CHANNEL_ACCESS_FAILURE)
     {
         NS_LOG_DEBUG("LrWpanMcpsDataConfirmStatus =  Channel Access Failure");
     }
@@ -336,7 +336,7 @@
 void
 TestActiveScanPanDescriptors::ScanConfirm(MlmeScanConfirmParams params)
 {
-    if (params.m_status == MLMESCAN_SUCCESS)
+    if (params.m_status == LrWpanMacStatus::SUCCESS)
     {
         m_panDescriptorList = params.m_panDescList;
     }
@@ -573,7 +573,7 @@
 void
 TestOrphanScan::ScanConfirm(MlmeScanConfirmParams params)
 {
-    if (params.m_status == MLMESCAN_SUCCESS)
+    if (params.m_status == LrWpanMacStatus::SUCCESS)
     {
         m_orphanScanSuccess = true;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc ns-3.41/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc
--- ns-3.40/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2023-09-27 13:30:37.674839300 -0700
+++ ns-3.41/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2024-02-09 14:44:07.957790400 -0800
@@ -125,7 +125,7 @@
 {
     // In the case of transmissions with the acknowledgment flag activated, the transmission is only
     // successful if the acknowledgment was received.
-    if (params.m_status == LrWpanMcpsDataConfirmStatus::IEEE_802_15_4_SUCCESS)
+    if (params.m_status == LrWpanMacStatus::SUCCESS)
     {
         NS_LOG_UNCOND(Simulator::Now().GetSeconds() << "s Transmission successfully sent");
         testcase->m_sentTime = Simulator::Now();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/CMakeLists.txt ns-3.41/src/lte/CMakeLists.txt
--- ns-3.40/src/lte/CMakeLists.txt	2023-09-27 13:30:37.674839300 -0700
+++ ns-3.41/src/lte/CMakeLists.txt	2024-02-09 14:44:07.957790400 -0800
@@ -349,15 +349,11 @@
   HEADER_FILES ${header_files}
   LIBRARIES_TO_LINK
     ${emu_libraries}
-    ${libcore}
-    ${libnetwork}
     ${libspectrum}
-    ${libstats}
     ${libbuildings}
     ${libvirtual-net-device}
     ${libpoint-to-point}
     ${libapplications}
-    ${libinternet}
     ${libcsma}
     ${libconfig-store}
   TEST_SOURCES ${test_sources}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/doc/source/conf.py ns-3.41/src/lte/doc/source/conf.py
--- ns-3.40/src/lte/doc/source/conf.py	2023-09-27 13:30:37.674839300 -0700
+++ ns-3.41/src/lte/doc/source/conf.py	2024-02-09 14:44:07.957790400 -0800
@@ -11,202 +11,208 @@
 # All configuration values have a default; values that are commented out
 # serve to show the default.
 
-import sys, os
+import os
+import sys
 
 # If extensions (or modules to document with autodoc) are in another directory,
 # add these directories to sys.path here. If the directory is relative to the
 # documentation root, use os.path.abspath to make it absolute, like shown here.
-#sys.path.insert(0, os.path.abspath('.'))
+# sys.path.insert(0, os.path.abspath('.'))
 
 # -- General configuration -----------------------------------------------------
 
 # If your documentation needs a minimal Sphinx version, state it here.
-#needs_sphinx = '1.0'
+# needs_sphinx = '1.0'
 
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.imgmath']
+extensions = ["sphinx.ext.imgmath"]
 
 # Add any paths that contain templates here, relative to this directory.
-templates_path = ['_templates']
+templates_path = ["_templates"]
 
 # The suffix of source filenames.
-source_suffix = '.rst'
+source_suffix = ".rst"
 
 # The encoding of source files.
-#source_encoding = 'utf-8-sig'
+# source_encoding = 'utf-8-sig'
 
 # The master toctree document.
-master_doc = 'lte'
+master_doc = "lte"
 
 # General information about the project.
-project = u'LENA'
-copyright = u'CTTC'
+project = "LENA"
+copyright = "CTTC"
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the
 # built documents.
 #
 # The short X.Y version.
-version = 'v10'
+version = "v10"
 # The full version, including alpha/beta/rc tags.
-release = 'v10'
+release = "v10"
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
-#language = None
+# language = None
 
 # There are two options for replacing |today|: either, you set today to some
 # non-false value, then it is used:
-#today = ''
+# today = ''
 # Else, today_fmt is used as the format for a strftime call.
-#today_fmt = '%B %d, %Y'
+# today_fmt = '%B %d, %Y'
 
 # List of patterns, relative to source directory, that match files and
 # directories to ignore when looking for source files.
 exclude_patterns = []
 
 # The reST default role (used for this markup: `text`) to use for all documents.
-#default_role = None
+# default_role = None
 
 # If true, '()' will be appended to :func: etc. cross-reference text.
-#add_function_parentheses = True
+# add_function_parentheses = True
 
 # If true, the current module name will be prepended to all description
 # unit titles (such as .. function::).
-#add_module_names = True
+# add_module_names = True
 
 # If true, sectionauthor and moduleauthor directives will be shown in the
 # output. They are ignored by default.
-#show_authors = False
+# show_authors = False
 
 # The name of the Pygments (syntax highlighting) style to use.
-pygments_style = 'sphinx'
+pygments_style = "sphinx"
 
 # A list of ignored prefixes for module index sorting.
-#modindex_common_prefix = []
+# modindex_common_prefix = []
 
 
 # -- Options for HTML output ---------------------------------------------------
 
 # The theme to use for HTML and HTML Help pages.  See the documentation for
 # a list of builtin themes.
-html_theme = 'default'
+html_theme = "default"
 
 # Theme options are theme-specific and customize the look and feel of a theme
 # further.  For a list of options available for each theme, see the
 # documentation.
-#html_theme_options = {}
+# html_theme_options = {}
 
 # Add any paths that contain custom themes here, relative to this directory.
-#html_theme_path = []
+# html_theme_path = []
 
 # The name for this set of Sphinx documents.  If None, it defaults to
 # "<project> v<release> documentation".
-#html_title = None
+# html_title = None
 
 # A shorter title for the navigation bar.  Default is the same as html_title.
-#html_short_title = None
+# html_short_title = None
 
 # The name of an image file (relative to this directory) to place at the top
 # of the sidebar.
-#html_logo = None
+# html_logo = None
 
 # The name of an image file (within the static path) to use as favicon of the
 # docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
 # pixels large.
-#html_favicon = None
+# html_favicon = None
 
 # Add any paths that contain custom static files (such as style sheets) here,
 # relative to this directory. They are copied after the builtin static files,
 # so a file named "default.css" will overwrite the builtin "default.css".
-#html_static_path = ['_static']
+# html_static_path = ['_static']
 
 # If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
 # using the given strftime format.
-#html_last_updated_fmt = '%b %d, %Y'
+# html_last_updated_fmt = '%b %d, %Y'
 
 # If true, SmartyPants will be used to convert quotes and dashes to
 # typographically correct entities.
-#html_use_smartypants = True
+# html_use_smartypants = True
 
 # Custom sidebar templates, maps document names to template names.
-#html_sidebars = {}
+# html_sidebars = {}
 
 # Additional templates that should be rendered to pages, maps page names to
 # template names.
-#html_additional_pages = {}
+# html_additional_pages = {}
 
 # If false, no module index is generated.
-#html_domain_indices = True
+# html_domain_indices = True
 
 # If false, no index is generated.
-#html_use_index = True
+# html_use_index = True
 
 # If true, the index is split into individual pages for each letter.
-#html_split_index = False
+# html_split_index = False
 
 # If true, links to the reST sources are added to the pages.
-#html_show_sourcelink = True
+# html_show_sourcelink = True
 
 # If true, "Created using Sphinx" is shown in the HTML footer. Default is True.
-#html_show_sphinx = True
+# html_show_sphinx = True
 
 # If true, "(C) Copyright ..." is shown in the HTML footer. Default is True.
-#html_show_copyright = True
+# html_show_copyright = True
 
 # If true, an OpenSearch description file will be output, and all pages will
 # contain a <link> tag referring to it.  The value of this option must be the
 # base URL from which the finished HTML is served.
-#html_use_opensearch = ''
+# html_use_opensearch = ''
 
 # This is the file name suffix for HTML files (e.g. ".xhtml").
-#html_file_suffix = None
+# html_file_suffix = None
 
 # Output file base name for HTML help builder.
-#htmlhelp_basename = 'ns-3doc'
+# htmlhelp_basename = 'ns-3doc'
 
 
 # -- Options for LaTeX output --------------------------------------------------
 
 # The paper size ('letter' or 'a4').
-#latex_paper_size = 'letter'
+# latex_paper_size = 'letter'
 
 # The font size ('10pt', '11pt' or '12pt').
-#latex_font_size = '10pt'
+# latex_font_size = '10pt'
 
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-#  ('lte-testing', 'lte-doc-testing.tex', u'LTE Simulator Testing Documentation', u'Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)', 'manual'),
-#  ('lte-design', 'lte-doc-design.tex', u'LTE Simulator Design Documentation', u'Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)', 'manual'),
-#  ('lte-user', 'lte-doc-user.tex', u'LTE Simulator User Documentation', u'Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)', 'manual'),
-  ('lte', 'lena-lte-module-doc.tex', u'The LENA ns-3 LTE Module Documentation', u'Centre Tecnològic de Telecomunicacions de Catalunya (CTTC)', 'manual'),
+    #  ('lte-testing', 'lte-doc-testing.tex', u'LTE Simulator Testing Documentation', u'Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)', 'manual'),
+    #  ('lte-design', 'lte-doc-design.tex', u'LTE Simulator Design Documentation', u'Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)', 'manual'),
+    #  ('lte-user', 'lte-doc-user.tex', u'LTE Simulator User Documentation', u'Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)', 'manual'),
+    (
+        "lte",
+        "lena-lte-module-doc.tex",
+        "The LENA ns-3 LTE Module Documentation",
+        "Centre Tecnològic de Telecomunicacions de Catalunya (CTTC)",
+        "manual",
+    ),
 ]
 
 # The name of an image file (relative to this directory) to place at the top of
 # the title page.
-#latex_logo = None
+# latex_logo = None
 
 # For "manual" documents, if this is true, then toplevel headings are parts,
 # not chapters.
-#latex_use_parts = False
+# latex_use_parts = False
 
 # If true, show page references after internal links.
-#latex_show_pagerefs = False
+# latex_show_pagerefs = False
 
 # If true, show URL addresses after external links.
-#latex_show_urls = False
+# latex_show_urls = False
 
 # Additional stuff for the LaTeX preamble.
-#latex_preamble = ''
+# latex_preamble = ''
 
 # Documents to append as an appendix to all manuals.
-#latex_appendices = []
+# latex_appendices = []
 
 # If false, no module index is generated.
-#latex_domain_indices = True
-
+# latex_domain_indices = True
 
 
 # add page breaks in the pdf. Level 1 is for top-level sections, level 2 for subsections, and so on.
@@ -217,7 +223,4 @@
 
 # One entry per manual page. List of tuples
 # (source start file, name, description, authors, manual section).
-man_pages = [
-    ('index', 'ns-3-model-library', u'ns-3 Model Library',
-     [u'ns-3 project'], 1)
-]
+man_pages = [("index", "ns-3-model-library", "ns-3 Model Library", ["ns-3 project"], 1)]
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/CMakeLists.txt ns-3.41/src/lte/examples/CMakeLists.txt
--- ns-3.40/src/lte/examples/CMakeLists.txt	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/CMakeLists.txt	2024-02-09 14:44:08.005790700 -0800
@@ -42,7 +42,7 @@
     SOURCE_FILES lena-simple-epc-emu.cc
     LIBRARIES_TO_LINK
       ${liblte}
-      ${fd-net-device}
+      ${libfd-net-device}
       ${libconfig-store}
   )
 endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-cc-helper.cc ns-3.41/src/lte/examples/lena-cc-helper.cc
--- ns-3.40/src/lte/examples/lena-cc-helper.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-cc-helper.cc	2024-02-09 14:44:08.005790700 -0800
@@ -19,9 +19,9 @@
 
 #include "ns3/cc-helper.h"
 #include "ns3/component-carrier.h"
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include <ns3/buildings-helper.h>
+// #include "ns3/config-store.h"
 
 using namespace ns3;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-distributed-ffr.cc ns-3.41/src/lte/examples/lena-distributed-ffr.cc
--- ns-3.40/src/lte/examples/lena-distributed-ffr.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-distributed-ffr.cc	2024-02-09 14:44:08.005790700 -0800
@@ -19,7 +19,6 @@
  */
 
 #include "ns3/applications-module.h"
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/internet-module.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-frequency-reuse.cc ns-3.41/src/lte/examples/lena-frequency-reuse.cc
--- ns-3.40/src/lte/examples/lena-frequency-reuse.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-frequency-reuse.cc	2024-02-09 14:44:08.005790700 -0800
@@ -18,7 +18,6 @@
  *
  */
 
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-ipv6-addr-conf.cc ns-3.41/src/lte/examples/lena-ipv6-addr-conf.cc
--- ns-3.40/src/lte/examples/lena-ipv6-addr-conf.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-ipv6-addr-conf.cc	2024-02-09 14:44:08.005790700 -0800
@@ -18,7 +18,6 @@
  */
 
 #include "ns3/applications-module.h"
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/epc-helper.h"
 #include "ns3/internet-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-ipv6-ue-rh.cc ns-3.41/src/lte/examples/lena-ipv6-ue-rh.cc
--- ns-3.40/src/lte/examples/lena-ipv6-ue-rh.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-ipv6-ue-rh.cc	2024-02-09 14:44:08.005790700 -0800
@@ -18,7 +18,6 @@
  */
 
 #include "ns3/applications-module.h"
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/epc-helper.h"
 #include "ns3/internet-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-ipv6-ue-ue.cc ns-3.41/src/lte/examples/lena-ipv6-ue-ue.cc
--- ns-3.40/src/lte/examples/lena-ipv6-ue-ue.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-ipv6-ue-ue.cc	2024-02-09 14:44:08.005790700 -0800
@@ -18,7 +18,6 @@
  */
 
 #include "ns3/applications-module.h"
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/epc-helper.h"
 #include "ns3/internet-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-simple-epc-backhaul.cc ns-3.41/src/lte/examples/lena-simple-epc-backhaul.cc
--- ns-3.40/src/lte/examples/lena-simple-epc-backhaul.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-simple-epc-backhaul.cc	2024-02-09 14:44:08.005790700 -0800
@@ -14,11 +14,11 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Manuel Requena <manuel.requena@cttc.es>
+ * Author: Manuel Requena <manuel.requena@cttc.es>
  */
 
 #include "ns3/applications-module.h"
-#include "ns3/config-store-module.h"
+#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/internet-module.h"
 #include "ns3/lte-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-simple-epc.cc ns-3.41/src/lte/examples/lena-simple-epc.cc
--- ns-3.40/src/lte/examples/lena-simple-epc.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-simple-epc.cc	2024-02-09 14:44:08.005790700 -0800
@@ -14,8 +14,9 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Jaume Nin <jaume.nin@cttc.cat>
- *          Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Jaume Nin <jaume.nin@cttc.cat>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #include "ns3/applications-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-simple-epc-emu.cc ns-3.41/src/lte/examples/lena-simple-epc-emu.cc
--- ns-3.40/src/lte/examples/lena-simple-epc-emu.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-simple-epc-emu.cc	2024-02-09 14:44:08.005790700 -0800
@@ -19,6 +19,7 @@
  */
 
 #include "ns3/applications-module.h"
+#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/epc-helper.h"
 #include "ns3/internet-module.h"
@@ -28,7 +29,6 @@
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
 #include "ns3/point-to-point-helper.h"
-#include <ns3/config-store-module.h>
 
 using namespace ns3;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-uplink-power-control.cc ns-3.41/src/lte/examples/lena-uplink-power-control.cc
--- ns-3.40/src/lte/examples/lena-uplink-power-control.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-uplink-power-control.cc	2024-02-09 14:44:08.005790700 -0800
@@ -18,7 +18,6 @@
  *
  */
 
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-x2-handover.cc ns-3.41/src/lte/examples/lena-x2-handover.cc
--- ns-3.40/src/lte/examples/lena-x2-handover.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-x2-handover.cc	2024-02-09 14:44:08.005790700 -0800
@@ -18,13 +18,13 @@
  */
 
 #include "ns3/applications-module.h"
-#include "ns3/config-store-module.h"
 #include "ns3/core-module.h"
 #include "ns3/internet-module.h"
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
 #include "ns3/point-to-point-module.h"
+// #include "ns3/gtk-config-store.h"
 
 using namespace ns3;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/examples/lena-x2-handover-measures.cc ns-3.41/src/lte/examples/lena-x2-handover-measures.cc
--- ns-3.40/src/lte/examples/lena-x2-handover-measures.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/examples/lena-x2-handover-measures.cc	2024-02-09 14:44:08.005790700 -0800
@@ -18,13 +18,13 @@
  */
 
 #include "ns3/applications-module.h"
-#include "ns3/config-store-module.h"
 #include "ns3/core-module.h"
 #include "ns3/internet-module.h"
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
 #include "ns3/point-to-point-module.h"
+// #include "ns3/config-store.h"
 
 using namespace ns3;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/emu-epc-helper.cc ns-3.41/src/lte/helper/emu-epc-helper.cc
--- ns-3.40/src/lte/helper/emu-epc-helper.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/emu-epc-helper.cc	2024-02-09 14:44:08.005790700 -0800
@@ -14,9 +14,10 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Author: Jaume Nin <jnin@cttc.es>
- *         Nicola Baldo <nbaldo@cttc.es>
- *         Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Jaume Nin <jnin@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #include "emu-epc-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/emu-epc-helper.h ns-3.41/src/lte/helper/emu-epc-helper.h
--- ns-3.40/src/lte/helper/emu-epc-helper.h	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/emu-epc-helper.h	2024-02-09 14:44:08.005790700 -0800
@@ -14,9 +14,10 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Author: Jaume Nin <jnin@cttc.es>
- *         Nicola Baldo <nbaldo@cttc.es>
- *         Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Jaume Nin <jnin@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #ifndef EMU_EPC_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/epc-helper.cc ns-3.41/src/lte/helper/epc-helper.cc
--- ns-3.40/src/lte/helper/epc-helper.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/epc-helper.cc	2024-02-09 14:44:08.009791000 -0800
@@ -14,9 +14,10 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Author: Jaume Nin <jnin@cttc.es>
- *         Nicola Baldo <nbaldo@cttc.es>
- *         Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Jaume Nin <jnin@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #include "epc-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/epc-helper.h ns-3.41/src/lte/helper/epc-helper.h
--- ns-3.40/src/lte/helper/epc-helper.h	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/epc-helper.h	2024-02-09 14:44:08.009791000 -0800
@@ -14,9 +14,10 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Author: Jaume Nin <jnin@cttc.es>
- *         Nicola Baldo <nbaldo@cttc.es>
- *         Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Jaume Nin <jnin@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #ifndef EPC_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/lte-helper.cc ns-3.41/src/lte/helper/lte-helper.cc
--- ns-3.40/src/lte/helper/lte-helper.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/lte-helper.cc	2024-02-09 14:44:08.009791000 -0800
@@ -632,7 +632,7 @@
 
     if (m_epcHelper)
     {
-        EnumValue epsBearerToRlcMapping;
+        EnumValue<LteEnbRrc::LteEpsBearerToRlcMapping_t> epsBearerToRlcMapping;
         rrc->GetAttribute("EpsBearerToRlcMapping", epsBearerToRlcMapping);
         // it does not make sense to use RLC/SM when also using the EPC
         if (epsBearerToRlcMapping.Get() == LteEnbRrc::RLC_SM_ALWAYS)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/point-to-point-epc-helper.cc ns-3.41/src/lte/helper/point-to-point-epc-helper.cc
--- ns-3.40/src/lte/helper/point-to-point-epc-helper.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/point-to-point-epc-helper.cc	2024-02-09 14:44:08.009791000 -0800
@@ -14,10 +14,11 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Author: Jaume Nin <jnin@cttc.es>
- *         Nicola Baldo <nbaldo@cttc.es>
- *         Manuel Requena <manuel.requena@cttc.es>
- *         (most of the code refactored to no-backhaul-epc-helper.cc)
+ * Authors:
+ *   Jaume Nin <jnin@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
+ *   (most of the code refactored to no-backhaul-epc-helper.cc)
  */
 
 #include "point-to-point-epc-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/point-to-point-epc-helper.h ns-3.41/src/lte/helper/point-to-point-epc-helper.h
--- ns-3.40/src/lte/helper/point-to-point-epc-helper.h	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/point-to-point-epc-helper.h	2024-02-09 14:44:08.009791000 -0800
@@ -14,10 +14,11 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Author: Jaume Nin <jnin@cttc.es>
- *         Nicola Baldo <nbaldo@cttc.es>
- *         Manuel Requena <manuel.requena@cttc.es>
- *         (most of the code refactored to no-backhaul-epc-helper.h)
+ * Authors:
+ *   Jaume Nin <jnin@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
+ *   (most of the code refactored to no-backhaul-epc-helper.h)
  */
 
 #ifndef POINT_TO_POINT_EPC_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/radio-bearer-stats-connector.cc ns-3.41/src/lte/helper/radio-bearer-stats-connector.cc
--- ns-3.40/src/lte/helper/radio-bearer-stats-connector.cc	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/radio-bearer-stats-connector.cc	2024-02-09 14:44:08.009791000 -0800
@@ -14,8 +14,9 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Nicola Baldo <nbaldo@cttc.es>
- *          Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #include "radio-bearer-stats-connector.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/helper/radio-bearer-stats-connector.h ns-3.41/src/lte/helper/radio-bearer-stats-connector.h
--- ns-3.40/src/lte/helper/radio-bearer-stats-connector.h	2023-09-27 13:30:37.702839100 -0700
+++ ns-3.41/src/lte/helper/radio-bearer-stats-connector.h	2024-02-09 14:44:08.009791000 -0800
@@ -14,8 +14,9 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Nicola Baldo <nbaldo@cttc.es>
- *          Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #ifndef RADIO_BEARER_STATS_CONNECTOR_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/a2-a4-rsrq-handover-algorithm.cc ns-3.41/src/lte/model/a2-a4-rsrq-handover-algorithm.cc
--- ns-3.40/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2023-09-27 13:30:37.706839300 -0700
+++ ns-3.41/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2024-02-09 14:44:08.009791000 -0800
@@ -16,12 +16,12 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * Original work authors (from lte-enb-rrc.cc):
- * - Nicola Baldo <nbaldo@cttc.es>
- * - Marco Miozzo <mmiozzo@cttc.es>
- * - Manuel Requena <manuel.requena@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Marco Miozzo <mmiozzo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  *
  * Converted to handover algorithm interface by:
- * - Budiarto Herman <budiarto.herman@magister.fi>
+ *   Budiarto Herman <budiarto.herman@magister.fi>
  */
 
 #include "a2-a4-rsrq-handover-algorithm.h"
